Color Picker

Bootstrap color picker plugin

Note: We are transitioning MDB4 to a legacy version and focusing on developing MDB5. While we'll continue to support for the transition period, we encourage you to migrate to MDB5. We're offering a huge discount on MDB5 PRO to help with your transition, enabling you to leverage the full potential of the latest version. You can find more information here.
upgrade with discount

Bootstrap Color Picker plugin allows you to select different colors. You can successfully use it in various product wizards, clothing sales, or other situations where you need to be able to choose a color.

To start working with Color Picker plugin see "Getting Started" tab on this page.


Basic Example

Click the dark square to activate the Color Picker. This is the basic variation of it.

Click the dark square to activate the Color Picker

        
            

        <div class="card">
          <div class="card-body text-center d-flex justify-content-center align-items-center flex-column">
            <p>Click the dark square to activate the Color Picker</p>
            <div id="color-picker-1" class="mx-auto"></div>
          </div>
        </div>

      
        
    
        
            

        const pickr1 = new Pickr({
          el: '#color-picker-1',
          default: "303030",
          components: {
            preview: true,
            opacity: true,
            hue: true,

            interaction: {
              hex: true,
              rgba: true,
              hsla: true,
              hsva: true,
              cmyk: true,
              input: true,
              clear: true,
              save: true
            }
          }
        });

      
        
    

Using as button

Use Color Picker as a button.

Click the below button to activate the Color Picker

        
            

        <div class="card">
          <div class="card-body text-center d-flex justify-content-center align-items-center flex-column">
            <p>Click the below button to activate the Color Picker</p>
            <button class="btn btn-primary btn-sm" id="color-picker-2">Open Picker</button>
          </div>
        </div>

      
        
    
        
            

        const pickr2 = new Pickr({
          el: '#color-picker-2',
          useAsButton: true,
          default: "123456",

          components: {
            preview: true,
            opacity: true,
            hue: true,

            interaction: {
              hex: true,
              rgba: true,
              hsla: true,
              hsva: true,
              cmyk: true,
              input: true,
              clear: true,
              save: true
            }
          }
        });

      
        
    

Change color of the other elements

With Color Picker, it's easy to manipulate colors of the certain elements.

My background color will be changed

My text color will be changed

        
            

        <div class="card bg-color">
          <div class="card-body text-center d-flex justify-content-center align-items-center flex-column">
            <p>My background color will be changed</p>
            <button id="color-picker-3" class="btn btn-outline-primary btn-sm">Color Picker</button>
          </div>
        </div>

        <div class="card">
          <div class="card-body text-center d-flex justify-content-center align-items-center flex-column">
            <p class="text-color">My text color will be changed</p>
            <button id="color-picker-4" class="btn btn-outline-primary btn-sm">Color Picker</button>
          </div>
        </div>

      
        
    
        
            

        const pickr3 = new Pickr({
          el: '#color-picker-3',
          useAsButton: true,
          default: "303030",
          components: {
            preview: true,
            opacity: true,
            hue: true,

            interaction: {
              hex: true,
              rgba: true,
              hsla: true,
              hsva: true,
              cmyk: true,
              input: true,
              clear: true,
              save: true
            }
          },

          onChange(hsva, instance) {
            $('.bg-color').css('background-color', hsva.toRGBA().toString());
          }
        });

        const pickr4 = new Pickr({
          el: '#color-picker-4',
          default: "303030",
          useAsButton: true,
          components: {
            preview: true,
            opacity: true,
            hue: true,

            interaction: {
              hex: true,
              rgba: true,
              hsla: true,
              hsva: true,
              cmyk: true,
              input: true,
              clear: true,
              save: true
            }
          },

          onChange(hsva, instance) {
            $('.text-color').css('color', hsva.toRGBA().toString());
          }
        });

      
        
    

Copy saved colors to clipboard

Copy the picked color to the clipboard and use it everywhere!

Click the "Save" button and check the results by pasting the clipboard in some place.

        
            

        <div class="card">
          <div class="card-body text-center d-flex justify-content-center align-items-center flex-column">
            <p>Click the "Save" button and check the results by pasting the clipboard in some place.</p>
            <button id="color-picker-5" class="btn btn-primary btn-sm">Color Picker</button>
          </div>
        </div>

      
        
    
        
            

    let colorArray = [];
    const pickr5 = new Pickr({
      el: '#color-picker-5',
      default: "030303",
      useAsButton: true,
      components: {
        preview: true,
        opacity: true,
        hue: true,

        interaction: {
          hex: true,
          rgba: true,
          hsla: true,
          hsva: true,
          cmyk: true,
          input: true,
          clear: true,
          save: true
        }
      },

      onSave(hsva, instance) {
        colorArray.push({
          hex: hsva.toHEX().toString(),
          rgba: hsva.toRGBA().toString(),
          hsla: hsva.toHSLA().toString(),
          hsva: hsva.toHSVA().toString(),
          cmyk: hsva.toCMYK().toString()
        });
        copyToClipboard();
      }
    });

    function copyToClipboard() {

      const el = document.createElement('textarea');
      colorArray.forEach(function (elem) {
        el.value += '{';
        el.value += 'hex: ' + "'" + elem.hex + "'" + ', ';
        el.value += 'rgba: ' + "'" + elem.rgba + "'" + ', ';
        el.value += 'hsla: ' + "'" + elem.hsla + "'" + ', ';
        el.value += 'hsva: ' + "'" + elem.hsva + "'" + ', ';
        el.value += 'cmyk: ' + "'" + elem.cmyk + "'";
        el.value += '}, ';
      });
      $(el).attr('readonly', '');
      $(el).css('position', 'absolute');
      $(el).css('left', '-9999px');
      $(el).appendTo(document.body);
      el.select();
      document.execCommand('copy');
      document.body.removeChild(el);
    }

      
        
    

The color representation

Color Picker plugin has option to pick a color in five color representations: HEX, RGBA, HSLA, HSVA and CMYK.

Change actual color and check how every color representation is described in the list

        
            

        <div class="card">
          <div class="card-body text-center d-flex justify-content-center align-items-center flex-column">
            <p>Change actual color and check how every color representation is described in the list</p>
            <button id="color-picker-6" class="btn btn-primary btn-sm">Color Picker</button>
          </div>
        </div>

        <div class="card">
          <div class="card-body text-center d-flex justify-content-center align-items-center flex-column">
            <ul class="list-group list-group-flush w-100">
              <li class="list-group-item" id="hex"></li>
              <li class="list-group-item" id="rgba"></li>
              <li class="list-group-item" id="hsla"></li>
              <li class="list-group-item" id="hsva"></li>
              <li class="list-group-item" id="cmyk"></li>
            </ul>
          </div>
        </div>

      
        
    
        
            

        const pickr6 = new Pickr({
          el: '#color-picker-6',
          useAsButton: true,

          components: {
            preview: true,
            opacity: true,
            hue: true,

            interaction: {
              hex: true,
              rgba: true,
              hsla: true,
              hsva: true,
              cmyk: true,
              input: true,
              clear: true,
              save: true
            }
          },

          onChange(hsva) {
            let colorObject = {
              hex: hsva.toHEX().toString(),
              rgba: hsva.toRGBA().toString(),
              hsla: hsva.toHSLA().toString(),
              hsva: hsva.toHSVA().toString(),
              cmyk: hsva.toCMYK().toString()
            };
            for (let col in colorObject) {
              $('#' + col).text(col + ': ' + colorObject[col]);
            }
          }
        });

      
        
    

Change the site background color

Change the site's background color by choosing a color from Color Picker.

Change the background color if this site dynamically by changing the color in Color Picker

        
            

        <div class="card">
          <div class="card-body text-center d-flex justify-content-center align-items-center flex-column">
            <p>Change the background color if this site dynamically by changing the color in Color Picker</p>
            <button id="color-picker-7" class="btn btn-primary btn-sm">Color Picker</button>
          </div>
        </div>

      
        
    
        
            

        const pickr7 = new Pickr({
          el: '#color-picker-7',
          useAsButton: true,

          components: {
            preview: true,
            opacity: true,
            hue: true,

            interaction: {
              hex: true,
              rgba: true,
              hsla: true,
              hsva: true,
              cmyk: true,
              input: true,
              clear: true,
              save: true
            }
          },

          onChange(hsva) {
            $(document.body).css('background-color', hsva.toHEX().toString());
          }
        });

      
        
    

Color Picker options list

Below options are available to use in Color Picker instance.

Name Type Default Description Example
el string ' ' Selector or element which will be replaced with the actual color-picker. el: '#color-picker'
useAsButton boolean false Using the 'el' Element as button, won't replace it with the pickr-button. If true, appendToBody will also be automatically true. useAsButton: true
disabled boolean false Start state. If true 'disabled' will be added to the button's classlist. disabled: false
comparison boolean true If set to false it would directly apply the selected color on the button and preview. comparison: true
default string ' ' Default color. default: '#303030'
defaultRepresentation string ' ' Default color representation. Valid options are `HEX`, `RGBA`, `HSVA`, `HSLA` and `CMYK`. defaultRepresentation: 'HEX'
parent any null Defines a parent for pickr, if useAsButton is true and a parent is NOT defined 'body' will be used as fallback. parent: null
closeWithKey string 'Escape' Close pickr with this specific key. Can be the event key or code. closeWithKey: 'Escape'
position string 'middle' Defines the position of the color-picker. Available options are top, left and middle relativ to the picker button. If clipping occurs, the color picker will automatically choose his position. position: 'middle'
adjustableNumbers boolean true Enables the ability to change numbers in an input field with the scroll-wheel. To use it set the cursor on a position where a number is and scroll, use ctrl to make steps of five position: 'middle'
components Object<boolean> - Show or hide specific components. By default only the palette (and the save button) is visible. Available options are `preview`, `opacity`, `hue`, `interaction: {`hex`, `rgba`, `hsla`, `hsva`, `cmyk`, `input`, `clear`, `save` }` components: {preview: true, interaction: {hex: true, rgba: true}}
strings Object<string> strings: {save: 'Save', clear: 'Clear'} Button strings, brings the possibility to use a language other than English. position: 'middle'

Below events are available to use in Color Picker instance.

Name Type Description Example
onChange any The event is fired when user has changed the color. onChange(hsva, instance) { }
onSave any The event is fired when user has saved the color. onSave(hsva, instance) { }

As default color representation is hsva (hue, saturation, value and alpha) used, but you can also convert it to other formats as listed below.

Name Description Example
toHSVA Converts the object to a hsva array. hsva.toHSVA()
toHSLA Converts the object to a hsla array. hsva.toHSLA()
toRGBA Converts the object to a rgba array. hsva.toRGBA()
toHEX Converts the object to a hex array. hsva.toHEX()
toCMYK Converts the object to a cmyk array. hsva.toCMYK()
clone Clones the color object. hsva.clone()

Below methods are available to use with Color Picker instance.

Name Description Example
setHSVA Set an color, returns true if the color has been accepted. pickr.setHSVA(h:Number, s:Number, v:Number, a:Float, silent:Boolean)
setColor Parses a string which represents a color (e.g. #fff, rgb(10, 156, 23)), returns true if the color has been accepted. null will clear the color. If silent is true (Default is false), the button won't change the current color. pickr.setColor(string: String, silent: Boolean)
show Shows the color-picker, returns instance. pickr.show()
hide Hides the color-picker, returns instance. pickr.hide()
disable Disables pickr and adds the disabled class to the button, returns instance. pickr.disable()
enable Enables pickr and removes the disabled class from the button, returns instance. pickr.enable()
isOpen Returns true if the color picker is currently open. pickr.isOpen()
getRoot Returns the root DOM-Element of the color-picker. pickr.getRoot()
getColor Returns the current HSVaColor object. pickr.getColor()
destroy Destroy's all functionality. pickr.destroy()
destroyAndRemove Destroy's all functionality, moreover it removes the pickr element including the button. pickr.destroyAndRemove()
setColorRepresentation Change the current color-representation. Valid options are HEX, RGBA, HSVA, HSLA and CMYK, returns false if type was invalid. pickr.setColorRepresentation(type: string)

Color Picker - getting started : download & setup


Download

This plugin requires a purchase.

Buy color picker plugin

Installation tutorial

Note: The video below shows a different plugin, but it does not matter. The installation process is the same for all plugins.

React Bootstrap Color Picker

React Color Picker - Bootstrap 4 & Material Design

React Bootstrap Color Picker plugin allows you to select different colors. You can successfully use it in various product wizards, clothing sales, or other situations where you need to be able to choose a color.

To see the list of all properties and methods of the plugin see "API" tab on this page.


Basic Example

        
            

        import React, { Component } from "react";
        import MDBColorPicker from "mdb-react-color-picker";
        import { MDBCard, MDBCardBody } from "mdbreact";
        import "./index.css"; //Import necessary styles for this example
        
        class App extends Component {
          state = {
            colorPicker1: false,
            colorPickerValue1: "rgba(48, 48, 48, 1)"
          };
        
          close = () => {
            this.setState({ colorPicker1: false });
          };
        
          toggle = () => {
            this.setState({ colorPicker1: !this.state.colorPicker1 });
          };
        
          saveColorValue = value => {
            this.setState({ colorPickerValue1: value.rgba });
          };

          render() {
            return (
              <MDBCard>
                <MDBCardBody>
                  <p className="text-center">
                    Click the dark square to activate the Color Picker
                  </p>
                  <MDBColorPicker
                    transitionType="linear"
                    isOpen={this.state.colorPicker1}
                    close={this.close}
                    getValue={this.saveColorValue}
                    colorSpace="hex"
                  >
                    <div
                      style={{ backgroundColor: this.state.colorPickerValue1 }}
                      className="pickr mx-auto"
                      onClick={this.toggle}
                    />
                  </MDBColorPicker>
                </MDBCardBody>
              </MDBCard>
            );
          }
        }
        
        export default App;
      
        
    
        
            
        .pickr {
          position: relative;
          height: 2em;
          width: 2em;
          padding: .5em;
          border-radius: .15em;
          cursor: pointer;
          background: transparent;
          transition: background-color .3s;
          font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Helvetica Neue, Arial, sans-serif;
          box-sizing: border-box;
        }
      
        
    

Using as button

        
            
        import React, { Component } from "react";
        import MDBColorPicker from "mdb-react-color-picker";
        import { MDBCard, MDBCardBody, MDBBtn } from "mdbreact";
        
        class App extends Component {
          state = {
            colorPicker2: false,
          };
        
          close = () => {
            this.setState({ colorPicker2: false });
          };
        
          toggle = () => {
            this.setState({ colorPicker2: !this.state.colorPicker2 });
          };
        
          render() {
            return (
              <MDBCard>
                <MDBCardBody className="text-center d-flex justify-content-center align-items-center flex-column">
                  <p className="pt-2">
                    Click the below button to activate the Color Picker
                  </p>
        
                  <MDBColorPicker
                    isOpen={this.state.colorPicker2}
                    close={this.close}
                    rgbaColor="rgba(18, 52, 86, 0.3)"
                  >
                    <MDBBtn size="sm" color="primary" onClick={this.toggle}>
                      Open picker
                    </MDBBtn>
                  </MDBColorPicker>
                </MDBCardBody>
              </MDBCard>
            );
          }
        }
        
        export default App;
        


    
        
    

Change color of the other elements

        
            
        import React, { Component } from "react";
        import MDBColorPicker from "mdb-react-color-picker";
        import { MDBCard, MDBCardBody, MDBBtn, MDBRow, MDBCol } from "mdbreact";

        class App extends Component {
          state = {
            colorPicker3: false,
            colorPicker4: false,
            colorPickerValue3: "rgba(252, 253, 255, 1)",
            colorPickerValue4: "rgba(48, 48, 48, 1)",
            colorValue: ""
          };

          close = id => () => {
            const colorPickerId = `colorPicker${id}`;
            this.setState({ [colorPickerId]: false });
          };

          toggle = id => () => {
            const colorPickerId = `colorPicker${id}`;
            this.setState({ [colorPickerId]: !this.state[colorPickerId] });
          };

          saveColorValue = id => value => {
            const colorPickerValueId = `colorPickerValue${id}`;
            this.setState({ [colorPickerValueId]: value.rgba });
          };

          render() {
            return (
              <MDBRow>
                <MDBCol md="6" className="mx-auto">
                  <MDBCard style={{ backgroundColor: this.state.colorPickerValue3 }}>
                    <MDBCardBody className="text-center d-flex justify-content-center align-items-center flex-column">
                      <p>My background color will be changed</p>

                      <MDBColorPicker
                        isOpen={this.state.colorPicker3}
                        close={this.close(3)}
                        toggle={this.toggleColorPicker}
                        getValue={this.saveColorValue(3)}
                      >
                        <MDBBtn
                          outline
                          size="sm"
                          color="primary"
                          onClick={this.toggle(3)}
                        >
                          Open picker
                        </MDBBtn>
                      </MDBColorPicker>
                    </MDBCardBody>
                  </MDBCard>
                </MDBCol>
                <MDBCol md="6" className="mx-auto">
                  <MDBCard>
                    <MDBCardBody className="text-center d-flex justify-content-center align-items-center flex-column">
                      <p style={{ color: this.state.colorPickerValue4 }}>
                        My text color will be changed
                      </p>

                      <MDBColorPicker
                        isOpen={this.state.colorPicker4}
                        close={this.close(4)}
                        toggle={this.toggleColorPicker}
                        getValue={this.saveColorValue(4)}
                      >
                        <MDBBtn
                          outline
                          size="sm"
                          color="primary"
                          onClick={this.toggle(4)}
                        >
                          Open picker
                        </MDBBtn>
                      </MDBColorPicker>
                    </MDBCardBody>
                  </MDBCard>
                </MDBCol>
              </MDBRow>
            );
          }
        }

        export default App;
    
        
    

Copy saved colors to clipboard

        
            
        import React, { Component } from "react";
        import MDBColorPicker from "mdb-react-color-picker";
        import { MDBCard, MDBCardBody, MDBBtn } from "mdbreact";

        class App extends Component {
          state = {
            colorPicker: false
          };

          close = () => {
            this.setState({ colorPicker: false });
          };

          toggle = () => {
            this.setState({ colorPicker: !this.state.colorPicker });
          };

          render() {
            return (
              <MDBCard>
                <MDBCardBody className="text-center d-flex justify-content-center align-items-center flex-column">
                  <p>
                    Click the "Save" button and check the results by pasting the
                    clipboard in some place.
                  </p>

                  <MDBColorPicker
                    isOpen={this.state.colorPicker}
                    close={this.close}
                    rgbaColor="rgba(201, 175, 211, 1.0)"
                  >
                    <MDBBtn color="primary" size="sm" onClick={this.toggle}>
                      Open picker
                    </MDBBtn>
                  </MDBColorPicker>
                </MDBCardBody>
              </MDBCard>
            );
          }
        }

        export default App;

    
        
    

The color representation

        
            
        import React, { Component } from "react";
        import MDBColorPicker from "mdb-react-color-picker";
        import {
          MDBCard,
          MDBCardBody,
          MDBBtn,
          MDBRow,
          MDBCol,
          ListGroup,
          ListGroupItem
        } from "mdbreact";

        class App extends Component {
          state = {
            colorPicker6: false,
            colorPickerValue6: {
              hex: "#fffe00",
              cmyk: "cmyk( 0%, 0%, 100%, 0%)",
              hsla: "hsla( 60, 100%, 50%, 1)",
              hsva: "hsva( 15240, 100%, 100%, 1)",
              rgba: "rgba(255, 254, 0, 1)"
            }
          };

          close = () => {
            this.setState({ colorPicker6: false });
          };

          toggle = () => {
            this.setState({ colorPicker6: !this.state.colorPicker6 });
          };

          saveColorAllValues = value => {
            this.setState({ colorPickerValue6: value });
          };

          render() {
            return (
              <MDBRow>
                <MDBCol md="6" className="mx-auto">
                  <MDBCard style={{ backgroundColor: this.state.colorPickerValue6 }}>
                    <MDBCardBody className="text-center d-flex justify-content-center align-items-center flex-column">
                      <p>
                        Change actual color and check how every color representation is
                        described in the list
                      </p>
                      <MDBColorPicker
                        isOpen={this.state.colorPicker6}
                        close={this.close}
                        toggle={this.toggleColorPicker}
                        rgbaColor="rgba(255, 254, 0, 1)"
                        getValue={this.saveColorAllValues}
                      >
                        <MDBBtn outline size="sm" color="primary" onClick={this.toggle}>
                          Open picker
                        </MDBBtn>
                      </MDBColorPicker>
                    </MDBCardBody>
                  </MDBCard>
                </MDBCol>
                <MDBCol md="6" className="mx-auto">
                  <MDBCard>
                    <MDBCardBody className="text-center d-flex justify-content-center align-items-center flex-column">
                      <ListGroup>
                        <ListGroupItem>
                          hex: {this.state.colorPickerValue6.hex}
                        </ListGroupItem>
                        <ListGroupItem>
                          rgba: {this.state.colorPickerValue6.rgba}
                        </ListGroupItem>
                        <ListGroupItem>
                          hsla: {this.state.colorPickerValue6.hsla}
                        </ListGroupItem>
                        <ListGroupItem>
                          hsva: {this.state.colorPickerValue6.hsva}
                        </ListGroupItem>
                        <ListGroupItem>
                          cmyk: {this.state.colorPickerValue6.cmyk}
                        </ListGroupItem>
                      </ListGroup>
                    </MDBCardBody>
                  </MDBCard>
                </MDBCol>
              </MDBRow>
            );
          }
        }

        export default App;

    
        
    

Change the site background color

        
            
        import React, { Component } from "react";
        import MDBColorPicker from "mdb-react-color-picker";
        import { MDBCard, MDBCardBody, MDBBtn } from "mdbreact";

        class App extends Component {
          state = {
            colorPicker7: false,
          };

          close = () => {
            this.setState({ colorPicker7: false });
          };

          toggle = () => {
            this.setState({ colorPicker7: !this.state.colorPicker7 });
          };

          changeWebsiteBackgroundColor = value => {
            document.body.style.background = `${value.rgba}`;
          };

          render() {
            return (
              <MDBCard>
                <MDBCardBody className="text-center d-flex justify-content-center align-items-center flex-column">
                  <p>
                    Change the background color if this site dynamically by changing the
                    color in Color Picker
                  </p>

                  <MDBColorPicker
                    isOpen={this.state.colorPicker7}
                    close={this.close}
                    rgbaColor="rgba(255, 255, 255, 1.0)"
                    getValue={this.changeWebsiteBackgroundColor}
                  >
                    <MDBBtn color="primary" size="sm" onClick={this.toggle}>
                      Open picker
                    </MDBBtn>
                  </MDBColorPicker>
                </MDBCardBody>
              </MDBCard>
            );
          }
        }

        export default App;
    
        
    

React Color Picker - API

In this section you will find advanced information about the Color Picker plugin. You will find out which modules are required, what are the possibilities of configuring the plugin, and what events and methods you can use to work with it.


Download

This plugin requires a purchase.

Buy React Color Picker Plugin

Imports

        
            
          import React from 'react';
          import MDBColorPicker from "mdb-react-color-picker";
        
        
    

API Reference: Color Picker Properties

The table below shows the configuration options of the MDBColorPicker component.

Name Type Default Description Example
clearLabel String Clear Changes text in the clear button <MDBColorPicker clearLabel="Reset">
colorSpace String rgba Changes the colour format.
Available formats: rgba, hex, hsla, hsva, cmyk
<MDBColorPicker colorSpace="hex">
isOpen Boolean False Shows or hides the colour palette <MDBColorPicker isOpen={false}>
rgbaColor String rgba( 255, 0, 0, 1) Sets start colour in the palette <MDBColorPicker rgbaColor="rgba(0, 0, 255,1)">
saveLabel String Save Changes text in the save button <MDBColorPicker saveLabel="Save to clipboard">
stripHeight Number 168 Sets height of the colour strip <MDBColorPicker stripHeight={30}>
stripWidth Number 8 Sets width of the colour strip <MDBColorPicker stripWidth={30}>
transitionType String ease-in-out Sets animations of the palette <MDBColorPicker transitionType="linear">

API Reference: Color Picker Methods

Name Parameters Description Example
close Closes the component when you click outside the component. <MDBColorPicker close={()=> this.setState({ colorPicker: false })}>
getValue Returns selected color value when color changes. <MDBColorPicker getValue={(value)=> this.setState({ colorPickerValue: value.rgba })}>

Vue Color Picker

Vue Bootstrap color picker plugin

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Vue Bootstrap Color Picker plugin allows you to select different colors. You can successfully use it in various product wizards, clothing sales, or other situations where you need to be able to choose a color.


Basic Example

Click the dark square to activate the Color Picker. This is the basic variation of it.

        
            
            <template>
              <div id="app">
                <mdb-card>
                  <mdb-card-body class="text-center d-flex justify-content-center align-items-center flex-column">
                    <p class="pt-2">Click the dark square to activate the Color Picker</p>
  
                      <mdb-color-picker :show="showPicker1" @getValue="color1 = $event" @close="showPicker1 = false">
                        <div class="mdb-cp-btn-wrapper">
                          <div class="mdb-cp-btn" :style="{background: color1}" @click="showPicker1 = !showPicker1"></div>
                        </div>
                      </mdb-color-picker>
  
                  </mdb-card-body>
                </mdb-card>
              </div>
            </template>
          
        
    
        
            
            <script>
              import mdbColorPicker from 'mdb-color-picker'
              import { mdbContainer, mdbCard, mdbCardBody, mdbBtn, mdbRow, mdbCol } from 'mdbvue'
  
              export default {
                name: 'app',
                components: {
                  mdbColorPicker,
                  mdbContainer,
                  mdbCard,
                  mdbCardBody,
                  mdbBtn,
                  mdbRow,
                  mdbCol
                },
                data() {
                  return {
                    color1: '#ff0000ff',
                    showPicker1: false
                  }
                }
              }
            </script>
          
        
    

Using as button

Use Color Picker as a button.

        
            
            <template>
              <div id="app">
                <mdb-card>
                  <mdb-card-body class="text-center d-flex justify-content-center align-items-center flex-column">
                    <p class="pt-2">Click the below button to activate the Color Picker</p>
  
                      <mdb-color-picker :show="showPicker2" @close="showPicker2 = false">
                        <mdb-btn color="primary" size="sm" @click="showPicker2 = !showPicker2">Open picker</mdb-btn>
                      </mdb-color-picker>
  
                  </mdb-card-body>
                </mdb-card>
              </div>
            </template>
          
        
    
        
            
            <script>
              import mdbColorPicker from 'mdb-color-picker'
              import { mdbContainer, mdbCard, mdbCardBody, mdbBtn, mdbRow, mdbCol } from 'mdbvue'
  
              export default {
                name: 'app',
                components: {
                  mdbColorPicker,
                  mdbContainer,
                  mdbCard,
                  mdbCardBody,
                  mdbBtn,
                  mdbRow,
                  mdbCol
                },
                data() {
                  return {
                    color2: '#ff0000ff',
                    showPicker2: false
                  }
                }
              }
            </script>
          
        
    

Change color of the other elements

With Color Picker, it's easy to manipulate colors of the certain elements.

        
            
            <template>
              <div id="app">
                <mdb-row>
                  <mdb-col sm="6">
                    <mdb-card :style="{background: color3}">
                      <mdb-card-body class="text-center d-flex justify-content-center align-items-center flex-column">
                        <p class="pt-2">My background color will be changed</p>
  
                        <mdb-color-picker :show="showPicker3" @getValue="color3 = $event" @close="showPicker3 = false">
                          <mdb-btn color="primary" size="sm" @click="showPicker3 = !showPicker3">Open picker</mdb-btn>
                        </mdb-color-picker>
  
                      </mdb-card-body>
                    </mdb-card>
                  </mdb-col>
                  <mdb-col sm="6">
                    <mdb-card>
                      <mdb-card-body class="text-center d-flex justify-content-center align-items-center flex-column">
                        <p class="pt-2" :style="{color: color4}">My text color will be changed</p>
  
                        <mdb-color-picker :show="showPicker4" @getValue="color4 = $event" @close="showPicker4 = false">
                          <mdb-btn color="primary" size="sm" @click="showPicker4 = !showPicker4">Open picker</mdb-btn>
                        </mdb-color-picker>
  
                      </mdb-card-body>
                    </mdb-card>
                  </mdb-col>
                </mdb-row>
              </div>
            </template>
          
        
    
        
            
            <script>
              import mdbColorPicker from 'mdb-color-picker'
              import { mdbContainer, mdbCard, mdbCardBody, mdbBtn, mdbRow, mdbCol } from 'mdbvue'
  
              export default {
                name: 'app',
                components: {
                  mdbColorPicker,
                  mdbContainer,
                  mdbCard,
                  mdbCardBody,
                  mdbBtn,
                  mdbRow,
                  mdbCol
                },
                data() {
                  return {
                    color3: '#ffffff',
                    color4: '#000000',
                    showPicker3: false,
                    showPicker4: false
                  }
                }
              }
            </script>
          
        
    

Change the site background color

Change the site's background color by choosing a color from Color Picker.

        
            
            <template>
              <div id="app" :style="{background: pageBackground}">
                <mdb-card>
                  <mdb-card-body class="text-center d-flex justify-content-center align-items-center flex-column">
                    <p class="pt-2">Change the background color if this site dynamically by changing the color in Color Picker</p>
  
                      <mdb-color-picker :show="showPicker6" @close="showPicker6 = false" @getValue="pageBackground = $event">
                        <mdb-btn color="primary" size="sm" @click="showPicker6 = !showPicker6">Open picker</mdb-btn>
                      </mdb-color-picker>
  
                  </mdb-card-body>
                </mdb-card>
              </div>
            </template>
          
        
    
        
            
            <script>
              import mdbColorPicker from './components/mdbColorPicker.vue'
              import { mdbContainer, mdbCard, mdbCardBody, mdbBtn, mdbRow, mdbCol } from 'mdbvue'
  
              export default {
                name: 'app',
                components: {
                  mdbColorPicker,
                  mdbContainer,
                  mdbCard,
                  mdbCardBody,
                  mdbBtn,
                  mdbRow,
                  mdbCol
                },
                data() {
                  return {
                    pageBackground: '#ffffff',
                    showPicker6: false
                  }
                }
              }
            </script>
          
        
    

Vue Color Picker - getting started : download & setup


Download

This plugin requires a purchase.

Buy Vue color picker plugin

Options

Name Type Description
show boolean Use this prop to hide or show the palette.
saveLabel string Changes save button label.
clearLabel string Changes clear button label.
options object Allows to turn off each color space. Default values: hex: true, rgba: true, hsla: true, hsva: true, cmyk: true.

Angular Bootstrap Color Picker
Angular Color Picker - Bootstrap 4 & Material Design
Note: This documentation is for an older version of Bootstrap (v.4). A
newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for
Bootstrap 5.
Go to docs v.5
Angular Bootstrap Color Picker is a component which you can use when writing online shops, clothing creators or other functionalities that require the user to provide some color.
Basic example MDB Pro component Live Example
How it works:
To function correctly, the Color Picker plugin requires you to use the template refference
(#your-id="mdb-color-picker") on the
mdb-color-picker
element
and then assign this identifier to the
[mdbColorPickerToggle]="your-id"
directive. If you want to use any of the methods built into the plugin
(e.g. copying to the clipboard), use this method first by referring to the template ref name,
which you set earlier - e.g.(click)="your-id.copyToClipboard('color')".
The basic version of the Color Picker plugin - adapted to use with the MDB Angular Free version.
<button [mdbColorPickerToggle]="picker" mdbBtn color="primary" size="sm" mdbWavesEffect>Show color picker
</button>
<mdb-color-picker class="col-xs-12" #picker="mdb-color-picker" [colorPalette]="colorPalette">
<div class="color-picker-switch">
<button mdbBtn color="primary" mdbWavesEffect size="sm" (click)="picker.changeColorType()">RGBA / HEX
</button>
</div>
<div class="color-picker-buttons">
<button mdbBtn color="primary" class="p-2" mdbWavesEffect (click)="picker.copyToClipboard('color')">Copy
color
</button>
<button mdbBtn color="primary" class="p-2" mdbWavesEffect (click)="picker.clearColor()">Clear</button>
<button mdbBtn color="primary" class="p-2" mdbWavesEffect (click)="picker.addColorToPalette()">Add color
</button>
<button mdbBtn color="primary" class="p-2" mdbWavesEffect (click)="picker.copyToClipboard('palette')">Copy
palette
</button>
</div>
</mdb-color-picker>
import { Component, ViewChild } from '@angular/core';
import { MdbColorPickerComponent } from 'mdb-color-picker';
@Component({
selector: 'app-basic-color-picker',
templateUrl: './basic-color-picker.component.html',
styleUrls: ['./basic-color-picker.component.scss']
})
export class BasicColorPickerComponent {
@ViewChild(MdbColorPickerComponent, { static: true }) colorPicker!: MdbColorPickerComponent;
colorPalette: Array<{ rgbaColor: string, hexColor: string }> = [
{
rgbaColor: 'rgba(31,200,17,1)',
hexColor: '#1fc811'
},
{
rgbaColor: 'rgba(224,23,120,0.58)',
hexColor: '#e01778'
},
];
}
mdb-color-picker {
opacity: 0;
visibility: hidden;
position: absolute;
left: 0;
top: 50px;
z-index: 1;
}
Opacity slider from MDB Angular Pro MDB Pro component Live Example
The basic version of the Color Picker plugin - adapted to use with the MDB Angular Pro version. Use
[defaultRangeSlider]="false"
to change the slider appearance from MDB Free to MDB Pro.
<button [mdbColorPickerToggle]="picker" mdbBtn color="primary" size="sm" mdbWavesEffect>Show color picker
</button>
<mdb-color-picker [defaultRangeSlider]="false" class="col-xs-12" #picker="mdb-color-picker"
[colorPalette]="colorPalette">
<div class="color-picker-switch">
<button mdbBtn color="primary" mdbWavesEffect size="sm" (click)="picker.changeColorType()">RGBA / HEX
</button>
</div>
<div class="color-picker-buttons">
<button mdbBtn color="flat" class="p-2" mdbWavesEffect (click)="picker.copyToClipboard('color')">Copy
color
</button>
<button mdbBtn color="flat" class="p-2" mdbWavesEffect (click)="picker.clearColor()">Clear</button>
<button mdbBtn color="flat" class="p-2" mdbWavesEffect (click)="picker.addColorToPalette()">Add color
</button>
<button mdbBtn color="flat" class="p-2" mdbWavesEffect (click)="picker.copyToClipboard('palette')">Copy
palette
</button>
</div>
</mdb-color-picker>
import { Component, ViewChild } from '@angular/core';
import { MdbColorPickerComponent } from 'mdb-color-picker';
@Component({
selector: 'app-pro-color-picker',
templateUrl: './pro-color-picker.component.html',
styleUrls: ['./pro-color-picker.component.scss']
})
export class ProColorPickerComponent {
@ViewChild(MdbColorPickerComponent, { static: true }) colorPicker: MdbColorPickerComponent;
colorPalette: Array<{ rgbaColor: string, hexColor: string }> = [
{
rgbaColor: 'rgba(31,200,17,1)',
hexColor: '#1fc811'
},
{
rgbaColor: 'rgba(224,23,120,0.58)',
hexColor: '#e01778'
},
];
}
mdb-color-picker {
opacity: 0;
visibility: hidden;
position: absolute;
left: 0;
top: 50px;
z-index: 1;
}
Installation guide
Step 1: Create new Angular application using Angular CLI command:
ng new application-name --style=scss --routing=false
Step 2: Download this plugin from your user dashboard
Step 3:
Extract downloaded archive from Step 2 and copy
mdb-color-picker-{version-number}.tgz
file to your application root directory
Step 4:
Install the
mdb-color-picker-{version-number}.tgz
package in your application by executing the below command in the application's terminal:
npm install mdb-color-picker-{version-number.tgz} --save
For example, the installation command should look like following:
npm install mdb-color-picker-8.0.0.tgz --save
Step 5: Follow the Quickstart Guide to add MDB Angular Free or MDB Angular Pro (depending on which version you're using) to the application
Step 6:
Import the
MdbColorPicker
in the
app.module.ts
file
Step 7: Copy the basic example from this site and enjoy your new plugin!
Step 1: Download this plugin from your user dashboard
Step 2:
Extract downloaded archive from Step 1 and copy
mdb-color-picker-{version-number}.tgz
file to your application root directory
Step 3:
Install the
mdb-color-picker-{version-number}.tgz
package in your application by executing the below command in the application's terminal:
npm install mdb-color-picker-{version-number.tgz} --save
For example, the installation command should look like following:
npm install mdb-color-picker-8.0.0.tgz --save
Step 4: Follow the Quickstart Guide to add MDB Angular Free or MDB Angular Pro (depending on which version you're using) to the application
Step 5:
Import the
MdbColorPicker
in the
app.module.ts
file
Step 6: Copy the basic example from this site and enjoy your new plugin!
Angular Color Picker - API
Download
This plugin requires a purchase.
Buy Color Picker plugin
Modules used
In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.
import { MdbColorPickerModule } from 'mdb-color-picker';
Component
MdbColorPickerComponent
Selector:
mdb-color-picker
Type:
MdbColorPickerComponent
Inputs
| Name | Type | Default | Description | Example |
|---|---|---|---|---|
colorPalette
|
Array<any> | [ ] | Allow to add default colors to color palette |
[colorPalette]="colorPalette"
|
options
|
IColorPickerConfig | Allow to override config options of Color Picker |
[options]="options"
|
|
defaultRangeSlider
|
boolean | true | Determine if color picker should render default Bootstrap range slider or MDB range slider |
defaultRangeSlider="true"
|
Service
MdbColorService
Type:
MdbColorService
Methods
| Name | Description | Example |
|---|---|---|
getColor
|
The method uset to return color as an object containing two key:value pairs - rgbaColor and hexColor. |
getColor()
|
colorWasChanged
|
A method that returns Observable with an object containing two key:value pairs - rgbaColor and hexColor. |
colorWasChanged().subscribe() => {}
|
setAlpha
|
The method used to change the value of the alpha channel in rgba colour. As a parameter it takes the value of string type. |
setAlpha('0.0')
|
getAlpha
|
The method used to retrieve the alpha channel value of the rgba color. Returns a string value. |
getAlpha()
|
alphaWasChanged
|
A method that returns Observable with a alpha channel value which type is string. |
alphaWasChanged().subscribe() => {}
|
setCoords
|
The method used to set the color coordinates. The parameter is an object with x and y values of the number type. Calling this method will update the color gradient and text of the color. |
setCoords({x: 1, y: 100})
|
getCoords
|
The method used to return coordinates of the currently selected color. The returned value is an object containing two keys of the number type. |
getCoords()
|
coordsWasChanged
|
A method that returns an Observable containing an object with two values of the x and y type number. |
coordsWasChanged().subscribe() => {}
|
getRgbaColor()
|
A method that returns value of type string with a current color converted to rgba system. |
getRgbaColor()
|
getHexColor()
|
A method that returns value of type string with a current color converted to hex system. |
getHexColor()
|
rgbaToHex()
|
A method that convert rgba color to hex color and returns the hex value. |
rgbaToHex('rgba(255, 255, 255, 1.0)')
|
hexToRgba()
|
A method that convert hex color to rgba color and returns the rgba value. If second parameter is not set, the returned color will be in rgb system. |
hexToRgba('#ffffff', '0.5')
|
setColorPalette()
|
The method used to set the default color palette. Takes an array of objects as an argument. |
setColorPalette([{rgbaColor: '', hexColor: ''}])
|
addColorToPalette()
|
The method used to add new color to the color palette. Takes an object as an argument. |
addColorToPalette({rgbaColor: '', hexColor: ''})
|
getColorPalette()
|
The method used to return the whole color palette. |
getColorPalette()
|
removeColorFromPalette()
|
The method used to remove certain color from the color palette. Takes an index number as an argument. |
removeColorFrom(1)
|
colorPaletteWasChanged()
|
A method that returns an Observable containing an array of objects with two values of type string - rgbaColor and hexColor. |
colorPaletteWasChanged().subscribe() => {}
|
Interfaces
IColorPickerCoords
Used to set coordinates(X, Y) of some color.
Properties
| Name | Description | Type | Optional |
|---|---|---|---|
x
|
Used to set X value of coordinates | number | false |
y
|
Used to set Y value of coordinates | number | false |
IColorPickerConfig
Used to change configuration of Color Picker.
Properties
| Name | Description | Type | Optional |
|---|---|---|---|
showPalette
|
Used to show / hide color palette | boolean | true |
showOpacitySlider
|
Used to show / hide the opacity slider | boolean | true |
showRgbaHexColorText
|
Used to show / hide the RGBA / Hex color text | boolean | true |